# Edit this configuration file to define what should be installed on
# your system. Help is available in the configuration.nix(5) man page, on
# https://search.nixos.org/options and in the NixOS manual (`nixos-help`).

{
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "nixos";
  networking.networkmanager.enable = true;

  time.timeZone = "America/New_York";

  users.users.cswimr = {
    isNormalUser = true;
    extraGroups = [ "wheel" ];
    group = "cswimr";
    initialPassword = "cswimr";
  };
  users.groups.cswimr = { };

  services.qemuGuest.enable = true;

  system.stateVersion = "24.11";
}
